Bug 128662 - ccs_test connect <clustername>: connects to local ccsd regardless
Summary: ccs_test connect <clustername>: connects to local ccsd regardless
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: ccs   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Earl Brassow
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-27 19:06 UTC by Derek Anderson
Modified: 2009-04-16 20:03 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-03 21:04:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Derek Anderson 2004-07-27 19:06:46 UTC
Description of problem:
If you issue the command "ccs_test connect FOOBAR" and there is no
cluster FOOBAR, it just connects to the local ccsd regardless.

My clustername here is really MILTON:
[root@link-11 root]# ccs_test connect FOOFOO
Setting cluster name to FOOFOO
Connect successful.
 Connection descriptor = 0
[root@link-11 root]# ccs_test get 0 //cluster/@name
Get successful.
 Value = <MILTON>
[root@link-11 root]#

Version-Release number of selected component (if applicable):
[root@link-11 root]# ccsd -V
ccsd DEVEL.1090955927 (built Jul 27 2004 14:19:52)
Copyright (C) Red Hat, Inc.  2004  All rights reserved.

How reproducible:
Always.

Steps to Reproduce:
1. Make your cluster quorate
2. Run "ccs_test connect foofoo" where foofoo is not a valid cluster name.
3.
  
Actual results:
Connect to local ccsd

Expected results:
Either connect to cluster foofoo or error and exit.

Additional info:

Comment 1 Jonathan Earl Brassow 2004-09-15 22:16:42 UTC
The above described procedure will no longer provoke this bug.

However, a variation still exists (that will not happen in a quorate
cluster).

To produce, do the following:
node1> ccsd
node2> ccsd; ccs_test connect force <any name>
node1> ccs_test connect force <name other than what's in cluster.conf>
FAIL

The broadcast request from another node causes the first to load the
local file into memory and then reply to the broadcast.  Once the file
is in memory, any requests for a differently named cluster will
fail...  You have to kill and restart ccsd at this point.

Comment 2 Kiersten (Kerri) Anderson 2004-11-04 15:07:39 UTC
Updates with the proper version and component name.

Comment 3 Kiersten (Kerri) Anderson 2004-11-04 15:16:28 UTC
Updates with the proper version and component name.

Comment 4 Kiersten (Kerri) Anderson 2004-11-04 15:20:49 UTC
Updates with the proper version and component name. Again, just love out tools.

Comment 5 Kiersten (Kerri) Anderson 2004-11-16 19:09:01 UTC
Updating version to the right level in the defects.  Sorry for the storm.

Comment 6 Jonathan Earl Brassow 2004-12-21 21:50:57 UTC
fixed

Comment 7 Derek Anderson 2005-01-03 21:04:14 UTC
Verified:

[root@link-12 cluster]# ccs_test connect BARF
Setting cluster name to BARF
A cluster name can only be specified when using 'force'.
[root@link-12 cluster]# ccs_test connect force BARF
Force is set.
Setting cluster name to BARF
ccs_connect failed: Invalid argument
[root@link-12 cluster]# echo $?
1
[root@link-12 cluster]# ccsd -V
ccsd DEVEL.1103743812 (built Dec 22 2004 13:31:24)
Copyright (C) Red Hat, Inc.  2004  All rights reserved.
[root@link-12 cluster]#


Note You need to log in before you can comment on or make changes to this bug.